include:
  - project: cpelyon/5irc-minekloud/ci-templates
    file: 
      - node.ci.yml
      - sonar.ci.yml
      - kaniko.ci.yml
      - deploy.ci.yml

stages:
  - test
  - build
  - analyse
  - docker-build-push
  - deploy

###
# Variables
###
variables:
  K8S_DEPLOYMENT_FOLDER: k8s